WordPress Asking for FTP Credentials?

If your WordPress installation is prompting you for FTP credentials to update or install a plugin, the problem usually lies with the permissions.

    1. Give the proper permission to the user and group for your install. Typically it is www-data:www-data but can very per server configuration.
chown -R user:group /path/to/wordpress/installation
    1. Now recursively set the folder permission to 755
find /path/to/wordpress/installation/ -type d -exec chmod 755 {} +
    1. Now recursively set the file permission in your WordPress install to 644
find /path/to/wordpress/installation/ -type f -exec chmod 644 {} +

You should now be able to update and download and install plugins normally.

Leave a comment